> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a price levels

> Create a price levels

### Request body

`CreatePriceLevelRequest`

<ParamField body="adjustment_type" type="string,null">
  One of `none`, `percentage_discount`, `percentage_markup`.
</ParamField>

<ParamField body="adjustment_value" type="string,null">
  Percentage value as a string (e.g. `'10'`).
</ParamField>

<ParamField body="code" type="string" required />

<ParamField body="description" type="string,null" />

<ParamField body="name" type="string" required />

### Responses

<ResponseField name="201" type="PriceLevelResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/price-levels' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "adjustment_type": null,
    "adjustment_value": null,
    "code": "string",
    "description": null,
    "name": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "adjustment_type": "string",
    "adjustment_value": "string",
    "code": "string",
    "currency": "string",
    "id": "string",
    "is_active": true,
    "name": "string"
  }
  ```
</ResponseExample>
